Bug 143757 - attempting to start gconf-editor brings up the GNOME crash dialog
attempting to start gconf-editor brings up the GNOME crash dialog
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-26 19:07 EST by Motor
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Motor 2004-12-26 19:07:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-UK; rv:1.7.3)
Gecko/20041020 Firefox

Description of problem:
Attempting to run gconf-editor from a GNOME terminal brings up the
GNOME crash dialog.


Version-Release number of selected component (if applicable):
gconf-editor-2.8.0-2

How reproducible:
Always

Steps to Reproduce:
1. open terminal, run gconf-editor
2.
3.
    

Additional info:

This system was just upgraded from Fedora Core 2 to Fedora Core 3.

Backtrace was generated from '/usr/bin/gconf-editor'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread -151275232 (LWP 3327)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...0x004ca7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x004ca7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0072d3d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x0676af50 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x080505b9 in gconf_bookmarks_hook_up_menu ()
#5  0x08053cff in gconf_editor_window_expand_first ()
#6  0x007fb51a in g_type_create_instance () from
/usr/lib/libgobject-2.0.so.0
#7  0x007e5c7f in g_object_new_valist () from
/usr/lib/libgobject-2.0.so.0
#8  0x007e540e in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#9  0x007e5c4e in g_object_new_valist () from
/usr/lib/libgobject-2.0.so.0
#10 0x007e50d6 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#11 0x08051c63 in gconf_editor_application_create_editor_window ()
#12 0x0805d573 in main ()

Thread 1 (Thread -151275232 (LWP 3327)):
#0  0x004ca7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x0072d3d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x0676af50 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x080505b9 in gconf_bookmarks_hook_up_menu ()
No symbol table info available.
#5  0x08053cff in gconf_editor_window_expand_first ()
No symbol table info available.
#6  0x007fb51a in g_type_create_instance () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x007e5c7f in g_object_new_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x007e540e in g_object_newv () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x007e5c4e in g_object_new_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x007e50d6 in g_object_new () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x08051c63 in gconf_editor_application_create_editor_window ()
No symbol table info available.
#12 0x0805d573 in main ()
No symbol table info available.
Comment 1 Mark McLoughlin 2005-01-05 05:38:12 EST
Upstream bug report:

  http://bugzilla.gnome.org/show_bug.cgi?id=151720

Its fixed in 2.8.1 - may backport the patch for an update
Comment 2 D. Hugh Redelmeier 2005-07-03 00:37:37 EDT
This hits me too.  If you are not going to backport the patch (6 months wait
suggests that you are not), please tell us a work-around.
Comment 3 Ray Strode [halfline] 2005-07-05 10:17:44 EDT
Hi Hugh,

FC4 should have a fixed version of gconf-editor.  You can upgrade to it to fix
your problem.

Alternatively, you can try just installing the FC4 gconf-editor rpm in FC3.  It
may work without any problems.
Comment 4 Matthew Miller 2006-07-10 19:22:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Ray Strode [halfline] 2007-08-14 11:45:27 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.